@import "assets/scss/global";
.student-management{
    position: relative;
    padding: 10px 0 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 15px;
    .alert-message{
        padding: 0 20px;
    }
    .box-action{
        display: flex;
        flex-direction: row;
        align-items: center;
        flex-wrap: wrap;
        width: 100%;
        gap: 10px;
        padding: 0 20px;

        .action-filter-search{
            display: flex;
            flex-direction: row;
            align-items: center;
            gap: 10px;
            flex: 1;

            .a-input-with-label{
                width: 315px;

                [class*='input-content']{
                    height: 48px;
                }
            }
            
            .select-field{
                width: 200px;
                [class*='select-group']{
                    height: 48px;
                }
            }
            .a-button-reset{
                width: 150px;
                height: 40px;
                box-shadow: none;
                gap: 14px;
                cursor: pointer;
                border: 1px solid $secondary-color;
                color: $secondary-color;
                background: #FFF;

                svg {
                    path {
                        fill: $secondary-color;
                    }
                }

                &.disable {
                    border: 1px solid $border-color;
                    background: $secondary-color3;
                    color: $border-color;
                    cursor: not-allowed;

                    svg {
                        path {
                            fill: $border-color;
                        }
                    }
                }
            }
        }

        .action-btn{
            display: flex;
            flex-direction: row;
            justify-content: flex-end;
            align-items: center;
            gap: 10px;
            flex: 1;

            .export-student {
                height: 40px;
                background: #FFFFFF;
                border: 1px solid #F84C26;
                border-radius: 12px;
                padding: 4px 8px;
                font-weight: 500;
                font-size: 13px;
                line-height: 24px;
                color: #F84C26;

                &:hover {
                    box-shadow: none;
                }
            }
        }
    }

    .table-data-content{
        width: 100%;
        height: 100%;
        overflow: hidden;
        padding: 10px 20px 89px;
        &.no-footer{
            padding: 10px 20px;
        }
        .box-table-data {
            position: relative;
            width: 100%;
            height: 100%;
            border-radius: 16px 16px 0 0;
            overflow: auto;
    
            table {
                width: 100%;
                table-layout: fixed;
    
                thead {
                    tr {
    
                        background: #F9E5D7;
    
                        th {
                            height: 44px;
                            padding: 10px;
                            color: #8B5252;
                            font-weight: 600;
                            font-size: 13px;
                            line-height: 24px;
                            min-width: 120px;
                            overflow: hidden;
                            white-space: nowrap;
                            text-overflow: ellipsis;
    
                            &:nth-child(3) {
                                min-width: 120px;
                            }
    
                            &:nth-child(4) {
                                min-width: 100px;
                            }
    
                            &:nth-child(5) {
                                width: 60px;
                            }
    
                        }
                    }
                }
    
                tbody {
                    tr {
                        background: #FFFFFF;
    
                        &:nth-child(2n) {
                            background: #F7F8FC;
                        }
    
                        td {
                            height: 55px;
                            padding: 10px;
                            color: $dark-color;
                            text-align: center;
                            font-weight: 400;
                            font-size: 13px;
                            line-height: 20px;
                            overflow: hidden;
                            white-space: nowrap;
                            text-overflow: ellipsis;
    
                            &:nth-child(5) {
                                svg {
                                    cursor: pointer;
                                }
                            }
                            &:nth-child(2){
                                text-align: left;
                                display: flex;
                                flex-direction: column;
                                justify-content: center;
                                align-items: flex-start;
                                padding: 5px 10px;
                                gap: 3px;


                                a {
                                    width: 100%;
                                    overflow: hidden;
                                    white-space: nowrap;
                                    text-overflow: ellipsis;

                                    .name {
                                        display: block;
                                    }
                                }
    
                                span{
                                    width: 100%;
                                    font-weight: 400;
                                    font-size: 13px;
                                    line-height: 20px;
                                    overflow: hidden;
                                    white-space: nowrap;
                                    text-overflow: ellipsis;
                                }
                                .name{
                                    cursor: pointer;
                                    color: $secondary-color;
                                }
                                .email{
                                    color: #202226;
                                }
                            }
    
                            &:nth-child(1) {
                                padding: 10px 10px 10px 14px;
    
                            }
                        }
                    }
                }
            }
    
            .no-student {
                width: 100%;
                height: calc(100% - 44px);
                display: flex;
                justify-content: center;
                align-items: center;
            }

            .loading {
                position: relative;
                height: calc(100% - 44px);
            }
        }
    }

    .footer{
        position: fixed;
        height: 60px;
        width: initial;
        background: #FFF;
        bottom: 0;
    }

    .drop-down-custom {
        & > div {
            [class~=rs-dropdown-toggle],
            [class~=rs-dropdown-toggle]:hover {
                display: flex;
                padding: 12px 16px;
                justify-content: center;
                align-items: center;
                border-radius: 10px;
                background: #F84C26;
        
                color: #FFF;
                text-align: center;
                font-size: 12px;
                font-style: normal;
                font-weight: 600;
                line-height: normal;
                
                svg {
                    path {
                        fill: #FFF;
                    }
                }
            }    
        }
    }
}